<template>
  <main>
    <div class="pageErreur">
      <section>
        <div class="columns">
          <div v-if="error.statusCode === 404" class="column">
            <h1 class="has-text-weight-bold">Page non trouvée.</h1>
            <br />
            <p>
              La page que vous demandez n'existe pas.
            </p>

            <br />
            <nuxt-link :to="{ name: 'index' }" class="button mt-button is-primary is-size-7 ">
              RETOUR à L'accueil
            </nuxt-link>
          </div>
          <div v-if="isIE" class="column">
            <h1 class="has-text-weight-bold">Oups ! Votre navigateur n'est pas compatible.</h1>
            <br />
            <p>
              Metiis n'est pas compatible avec Internet Explorer.<br />
              Veuillez utiliser un autre navigateur.
            </p>
            <br />
          </div>
          <div v-else>
            <div v-if="error.statusCode === 403" class="column">
              <h1 class="has-text-weight-bold">Accès refusé.</h1>
              <br />
              <p>
                Vous n'êtes pas autorisé à consulter cette page.
              </p>
              <br />
              <nuxt-link :to="{ name: 'index' }" class="button mt-button is-primary is-size-7 ">
                RETOUR à L'accueil
              </nuxt-link>
            </div>

            <div v-if="error.statusCode === 500" class="column">
              <h1 class="has-text-weight-bold">Oups ! Le serveur ne repond pas.</h1>
              <br />
              <p>
                Essayez d'actualiser la page.<br />
                Si le probleme persiste n'hésitez pas à contacter l'administrateur
              </p>
              <br />
              <nuxt-link :to="{ name: 'index' }" class="button mt-button is-primary is-size-7 ">
                RETOUR à L'accueil
              </nuxt-link>
            </div>
          </div>
          <div class="column">
            <img v-if="error.statusCode === 404" src="/erreur-404.png" alt="image erreur 404" />
            <img v-if="error.statusCode === 403" src="/erreur-403.png" alt="image erreur 403" />
            <img v-if="error.statusCode === 500" src="/erreur-500.png" alt="image erreur 500" />
          </div>
        </div>
      </section>
      <div class="columns is-centered"></div>
    </div>
  </main>
</template>

<script>
export default {
  props: {
    error: {
      type: Object,
      default: () => {},
    },
  },
  layout: 'container-small', // you can set a custom layout for the error page
  data() {
    return {
      isIE: false || !!document.documentMode,
    };
  },
};
</script>

<style scoped lang="scss">
h1 {
  font-size: 2.125rem;
}

.pageErreur {
  margin-top: 2.5rem;
}
</style>
